package com.bonus.material.task.service;

import java.util.List;
import com.bonus.material.task.domain.TmTask;

/**
 * 任务Service接口
 * 
 * @author xsheng
 * @date 2024-10-16
 */
public interface ITmTaskService {
    /**
     * 查询任务
     * 
     * @param taskId 任务主键
     * @return 任务
     */
    public TmTask selectTmTaskByTaskId(Long taskId);

    /**
     * 查询任务列表
     * 
     * @param tmTask 任务
     * @return 任务集合
     */
    public List<TmTask> selectTmTaskList(TmTask tmTask);

    /**
     * 新增任务
     * 
     * @param tmTask 任务
     * @return 结果
     */
    public int insertTmTask(TmTask tmTask);

    /**
     * 修改任务
     * 
     * @param tmTask 任务
     * @return 结果
     */
    public int updateTmTask(TmTask tmTask);

    /**
     * 批量删除任务
     * 
     * @param taskIds 需要删除的任务主键集合
     * @return 结果
     */
    public int deleteTmTaskByTaskIds(Long[] taskIds);

    /**
     * 删除任务信息
     * 
     * @param taskId 任务主键
     * @return 结果
     */
    public int deleteTmTaskByTaskId(Long taskId);

//    List<TmTaskRequestVo> getLeaseAuditList(TmTaskRequestVo tmTask);


}
